package com.yuchen.saas.manage.user.api.feign;

import com.yuchen.saas.manage.user.api.entity.*;
import com.yuchen.saas.manage.user.api.request.*;
import com.yuchen.saas.manage.user.api.vo.MoveUserDeptVo;
import com.yuchen.saas.manage.user.api.vo.UserDeptInfoVo;
import com.yuchen.saas.manage.user.api.vo.UserDeptIsDeptAdminVo;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;
import java.util.List;


@Component
public class UserDeptClientFallback implements IUserDeptClient{

    @Override
    public R<List<UserDeptInfoVo>> listInfoByDeptId(Long deptId) {
        return R.error("远程调用失败");
    }

    @Override
    public R<List<UserDept>> listByDeptId(Long userId) {
        return R.error("远程调用失败");
    }

    @Override
    public R<List<UserDept>> listByDeptIds(List<Long> deptIds) {
        return R.error("远程调用失败");
    }

    @Override
    public R<UserDept> saveOrgUserBinding(UserDept userDeptDto) {
        return R.error("远程调用失败");
    }

    @Override
    public R saveOrUpdateByParam(UserDept userDeptDto) {
        return R.error("远程调用失败");
    }

    @Override
    public R updateById(UserDept userDept) {
        return R.error("远程调用失败");
    }

    @Override
    public R saveOrgUserBindingList(List<UserDept> list) {
        return R.error("远程调用失败");
    }

    @Override
    public R updateIsAdmin(UserDept userDeptDto) {
        return R.error("远程调用失败");
    }

    @Override
    public R<MoveUserDeptVo> deleteList(UserDeptDeleteRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R moveList(UserDeptMoveRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R deleteByOrgUserId(Long orgUserId) {
        return R.error("远程调用失败");
    }

    @Override
    public R deleteByDeptId(UserDeptDeleteByDeptIdRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R<List<UserDept>> listByOrgUserIds(List<Long> orgUserIds) {
        return R.error("远程调用失败");
    }

    @Override
    public R<UserDept> getById(Long id) {
        return R.error("远程调用失败");
    }

    @Override
    public R<MoveUserDeptVo> updateBinDingByOrgUserId(UserDeptByOrgUserRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R updateIsCreate(UpdateIsCreatRequest userDept) {
        return R.error("远程调用失败");
    }

    @Override
    public R<Boolean> deleteByDeptIdAndOrgUserId(UserDeptRemoveRequest parm) {
        return R.error("远程调用失败");
    }

    @Override
    public R<UserDeptInfoVo> getByDeptIdAndOrgUserId(Long deptId, Long userId) {
        return R.error("远程调用失败");
    }

    @Override
    public R<List<UserDept>> listByIds(List<Long> ids) {
        return R.error("远程调用失败");
    }

    @Override
    public R removeByExternal(RemoveUserDeptByExternalRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R userDeptSync(UserDeptSyncRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R moveUserDeptSync(UserDeptSyncRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R saveAndSync(SaveUserDeptSyncRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R moveAndSync(SaveUserDeptSyncRequest param) {
        return R.error("远程调用失败");
    }

    @Override
    public R<UserDeptIsDeptAdminVo> putDeptAdmin(UpdateDeptAdminParam param) {
        return R.error("远程调用失败");
    }

    @Override
    public R removeByDeptId(Long deptId) {
        return R.error("远程调用失败");
    }

    @Override
    public R<UserDept> putDeptAdminByUser(UpdateUserIsDeptAdminDto param) {
        return R.error("远程调用失败");
    }

    @Override
    public R<List<UserDept>> listDeptAdmin(Long deptId) {
        return R.error("远程调用失败");
    }

    @Override
    public R<List<UserDept>> listDeptAdminByDeptIds(List<Long> deptIds) {
        return R.error("远程调用失败");
    }

    @Override
    public R<List<UserDept>> listDeptCreateByDeptIds(List<Long> deptIds) {
        return R.error("远程调用失败");
    }


}